Subject: 29.0.50; build failure: ‘Qsqlitep’ undeclared

From: Sam Steingold <[email-masked]>
Date: Sun, 19 Dec 2021 16:18:58 -0500

just did `git pull`.
Build failure:

--8<---------------cut here---------------start------------->8---
  CC       dispnew.o
In file included from ../../src/dispnew.c:27:
../../src/lisp.h: In function ‘CHECK_SQLITE’:
../../src/lisp.h:2677:27: error: ‘Qsqlitep’ undeclared (first use in this function); did you mean ‘Qslice’?
 2677 |   CHECK_TYPE (SQLITE (x), Qsqlitep, x);
      |                           ^~~~~~~~
      |                           Qslice
../../src/lisp.h:2677:27: note: each undeclared identifier is reported only once for each function it appears in
make[1]: *** [Makefile:411: dispnew.o] Error 1
make[1]: Leaving directory '/home/sds/src/emacs/trunk/build/src'
make: *** [Makefile:463: src] Error 2
--8<---------------cut here---------------end--------------->8---

config summary:

--8<---------------cut here---------------start------------->8---
Configured for 'x86_64-pc-linux-gnu'.

  Where should the build process find the source code?    ..
  What compiler should emacs be built with?               gcc -g3 -O2
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          GTK3
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use a png library?                           yes -lpng16 -lz
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use -lwebp?                                  no
  Does Emacs use -lsqlite3?                               yes
  Does Emacs use cairo?                                   yes
  Does Emacs use -llcms2?                                 yes
  Does Emacs use imagemagick?                             yes
  Does Emacs use native APIs for images?                  no
  Does Emacs support sound?                               yes
  Does Emacs use -lgpm?                                   no
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               yes
  Does Emacs use a file notification library?             yes -lglibc (inotify)
 Does Emacs use access control lists?                    no
  Does Emacs use -lselinux?                               yes
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              yes
  Does Emacs use HarfBuzz?                                yes
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   no
  Does Emacs use -lxft?                                   no
  Does Emacs use -lsystemd?                               no
  Does Emacs use -ljansson?                               yes
  Does Emacs use the GMP library?                         yes
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                yes
  Does Emacs use toolkit scroll bars?                     yes
  Does Emacs support Xwidgets?                            no
  Does Emacs have threading support in lisp?              yes
  Does Emacs support the portable dumper?                 yes
  Does Emacs support legacy unexec dumping?               no
  Which dumping strategy does Emacs use?                  pdumper
  Does Emacs have native lisp compiler?                   yes
  Does Emacs use version 2 of the the X Input Extension?  no

--8<---------------cut here---------------end--------------->8---

In GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.25, cairo version 1.16.0)
 of 2021-12-07 built on darter
Repository revision: beed398eb5e49680b731aeacd553d357759043c1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Pop!_OS 21.10

Configured using:
 'configure --with-imagemagick --with-mailutils'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ IMAGEMAGICK
JPEG JSON LCMS2 LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG
RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM
GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

-- 
Sam Steingold (http://sds.podval.org/) on Pop 21.04 (hirsute) X 11.0.12013000
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://ij.org/ http://think-israel.org https://honestreporting.com
The plural of "anecdote" is not "data".